[Overview][Resource strings][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'daemonapp' (#fcl)

# TCustomDaemonMapper.OnCreate

Event called when the daemon mapper is created

## Declaration

Source position: daemonapp.pp line 289

`published property TCustomDaemonMapper.OnCreate: TNotifyEvent read FOnCreate write FOnCreate;`

## Description

OnCreate is an event that is called when the TCustomDaemonMapper instance is created. It can for instance be used to dynamically create daemon definitions at runtime.

## See also

OnDestroy |  | Event called when the daemon mapper is freed.
OnUnInstall |  | Event called when the daemons are uninstalled
OnCreate |  | Event called when the daemon mapper is created
OnDestroy |  | Event called when the daemon mapper is freed.

The latest version of this document can be found at lazarus-ccr.sourceforge.net.